View Issue Details

IDProjectCategoryView StatusLast Update
0004445FreeCADBugpublic2021-03-13 21:29
Reportermrjohnc Assigned ToKunda1  
PrioritynoneSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Target Version0.20Fixed in Version0.19 
Summary0004445: FreeCAD menus and buttons very slow (Linux version) on ChromeOS (GPU Acceleration must be enabled)
DescriptionFreeCAD menus and buttons don't work respond very slowly on Linux version run on ChromeOS, this is true for installing through FlatHub, Snapstore and Appimage. Sometimes the menus change when you mouse over them so you can't click on anything, sometimes the blue background turns grey, flashing when the mouse moves. When the app first opens it is possible to select the menu options but they often don't seem to do anything. In an earlier version of Prusa Slicer I had a similiar issue but it seems that it was resolved.
Steps To ReproduceInstall FreeCAD 0.18 using snap, flathub or appimage
Open and try to use
TagsChromeOS
FreeCAD InformationOS: KDE Flatpak runtime
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14555 (Git shallow)
Build type: Release
Branch: (HEAD detached at 783e134)
Hash: 783e1346c7a078f5265c3f0c6a927d09a8c1fe70
Python version: 3.7.4
Qt version: 5.14.2
Coin version: 4.0.0
OCC version: 7.3.0
Locale: English/United States (en_US)

Activities

mrjohnc

2020-09-27 08:14

reporter   ~0014768

Just to add, when I try to use parts of the UI eg creating a new body parts of the UI disappear like the view controls and everything in the application box. Once I've tried to do this often FreeCAD stops responding and once closed when I try to repopen I just get a black screen and have to restart my laptop

mrjohnc

2020-09-27 09:33

reporter   ~0014769

OK, it looks like the issue is being caused by GPU acceleration, disabling GPU acceleration for Linux apps means it runs. I'm not sure how to include this as a fix

mrjohnc

2020-09-27 09:34

reporter   ~0014770

You can turn off GPU support by disabling chrome://flags/#crostini-gpu-support

Kunda1

2020-09-27 11:19

administrator   ~0014771

@mrjohnc, Thanks for the heads up. This is good to know.
A favor, next time please follow our tracker guidelines (yellow banner, top of page). It helps us with dealing with triage immensely. As you can see we are currently only accepting v0.19 bugs. Is this then something that can be replicated on v0.19?
Try it quickly via AppImage

CC @chrisb (we may need to add this to Known Issues thread)

mrjohnc

2020-09-27 11:48

reporter   ~0014772

Hi @Kunda1

Thanks, I can confirm that the issues remain with 0.19 when GPU acceleration enabled although they're not quite as bad its still not usable. Again disabling GPU acceleration is a workaround

openBrain

2020-10-09 21:27

developer   ~0014810

@mrjohnc : could you please paste the full information about the 0.19 version your tried ? Thx

Kunda1

2020-10-22 11:26

administrator   ~0014923

@mrjohnc ping

Kunda1

2020-10-22 11:31

administrator   ~0014925

Updated ticket to reflect v0.19 only

mrjohnc

2020-10-22 11:45

reporter   ~0014926

@openBrain and @Kunda1 thanks, its the latest version available on Flathub as of now. I'm happily using it with GPU acceleration turned off, I'm unsure if its an issue with the OS, Linux support is still in Beta. My suggestion would just be to have some guidance on ChromeOS installation with a little not to say 'if you have issues with the interface turn off GPU acceleration in chrome://flags

Kunda1

2020-10-22 15:45

administrator   ~0014927

@mrjohnc where do you propose we should display this note so ChromeOS users see it?
BTW, the problem goes away with GPU acceleration then? *confused*

mrjohnc

2020-10-22 16:50

reporter   ~0014931

Last edited: 2020-10-22 16:52

@Kunda1

I think that instructions should live here
https://wiki.freecadweb.org/Install_on_Unix

And then maybe a small note on this page in the Linux section on the downloads page saying something like 'including Chromebooks with Linux support' https://www.freecadweb.org/downloads.php

The Chromebook instructions could be something like this, are you able to add it?

==Chromebooks with Linux support==
FreeCAD can be installed on Intel based Chromebooks with Linux support (link https://www.chromium.org/chromium-os/chrome-os-systems-supporting-linux)

# Enable Linux support (https://support.google.com/chromebook/answer/9145439?hl=en-GB)
# Enable Flatpak installation using the terminal (https://flatpak.org/setup/Chrome%20OS/)
# Install FreeCAD via Flathub using the command line instructions (https://flathub.org/apps/details/org.freecadweb.FreeCAD)
# Find FreeCAD in your Linux Apps folder

Note: there is an issue with some Chromebooks which causes UI problems in FreeCAD, this can be solved by disabling Linux GPU acceleration in Chrome Flags (chrome://flags/#crostini-gpu-support)

----

There are some other ways to achieve installing it but this is the one with the least steps and most simple for new users.

Kunda1

2020-10-22 19:27

administrator   ~0014932

@kkremitzki what do you think? Should we put this on the site and/or the Github release page ?

kkremitzki

2020-10-22 23:08

administrator   ~0014937

Sure, if there are platform-specific instructions needed, it seems pretty reasonable to expand the "For distro-specific instructions..." sentence on the downloads page to specifically mention them, as Chromebooks are extensively used in education.

Kunda1

2020-12-12 12:52

administrator   ~0015127

@sgrogan please update the 0.19 Release page mentioning Chromebook support. Here's the suggested text (please modify as you see fit)

#### Chromebook

We understand through our forum users that FreeCAD can successfully run on Chromebooks. The only caveat known to us is the need to enable GPU acceleration (Ticket [0004445](https://tracker.freecadweb.org/view.php?id=4445)) within FC. 

mrjohnc

2021-01-15 23:55

reporter   ~0015209

@Kunda1 sorry to miss this before, I think this is good, please can you add it?

Kunda1

2021-02-20 18:01

administrator   ~0015392

pinged @sgrogan via the forum. Hope he gets it this time ;)

Kunda1

2021-02-20 20:39

administrator   ~0015395

sgrogan has added a note to the release page. Closing this ticket.

mrjohnc

2021-02-21 10:50

reporter   ~0015407

correcting message

mrjohnc

2021-02-21 10:53

reporter   ~0015408

Last edited: 2021-02-21 10:57

@Kunda1, I just spotted an error in the message you suggested, it only works if you disable GPU acceleration, not enable it, it should read (adding a few more instructions)

Chromebook

We understand through our forum users that FreeCAD can successfully run on Chromebooks which have Linux support https://support.google.com/chromebook/answer/9145439?hl=en-GB The only caveat known to us is the need to disable GPU acceleration via chrome://flags/#crostini-gpu-support The easiest way to install it is to enable Flatpak https://flatpak.org/setup/Chrome%20OS/ and then install using this link https://flathub.org/apps/details/org.freecadweb.FreeCAD

Kunda1

2021-02-21 11:36

administrator   ~0015412

Last edited: 2021-02-21 11:42

Sorry, @mrjohnc, lots going on ATM. Thanks for the orientation.

@sgrogan please copy/paste (again) this corrected version to 0.19_pre Release page


## Chromebook

We understand through our forum users that FreeCAD can successfully run on Chromebooks which have [Linux support](https://support.google.com/chromebook/answer/9145439?hl=en-GB). The only caveat known to us is the need to disable GPU acceleration via `chrome://flags/#crostini-gpu-support` The easiest way to install it is to enable [Flatpak](https://flatpak.org/setup/Chrome%20OS/) and then install using this [link](https://flathub.org/apps/details/org.freecadweb.FreeCAD)

Kunda1

2021-03-13 21:29

administrator   ~0015507

Ok, sorry for the delay! Too much going on. I've updated the release page to reflect the correct message.
https://github.com/FreeCAD/FreeCAD/releases/tag/0.19_pre

Resolving

Issue History

Date Modified Username Field Change
2020-09-26 23:46 mrjohnc New Issue
2020-09-27 08:14 mrjohnc Note Added: 0014768
2020-09-27 09:33 mrjohnc Note Added: 0014769
2020-09-27 09:34 mrjohnc Note Added: 0014770
2020-09-27 11:19 Kunda1 Note Added: 0014771
2020-09-27 11:19 Kunda1 Tag Attached: #post-to-forum
2020-09-27 11:48 mrjohnc Note Added: 0014772
2020-10-09 21:27 openBrain Note Added: 0014810
2020-10-22 11:26 Kunda1 Note Added: 0014923
2020-10-22 11:26 Kunda1 Tag Attached: ChromeOS
2020-10-22 11:27 Kunda1 Summary FreeCAD menus and buttons don't work on Linux version run on ChromeOS => FreeCAD menus and buttons <s>don't work</s> very slow on Linux version run on ChromeOS (GPU Acceleration must be enabled)
2020-10-22 11:29 Kunda1 Summary FreeCAD menus and buttons <s>don't work</s> very slow on Linux version run on ChromeOS (GPU Acceleration must be enabled) => FreeCAD menus and buttons don't work very slow on Linux version run on ChromeOS (GPU Acceleration must be enabled)
2020-10-22 11:31 Kunda1 Product Version 0.18 => 0.19
2020-10-22 11:31 Kunda1 Summary FreeCAD menus and buttons don't work very slow on Linux version run on ChromeOS (GPU Acceleration must be enabled) => FreeCAD menus and buttons very slow (Linux version) on ChromeOS (GPU Acceleration must be enabled)
2020-10-22 11:31 Kunda1 Description Updated
2020-10-22 11:31 Kunda1 Note Added: 0014925
2020-10-22 11:45 mrjohnc Note Added: 0014926
2020-10-22 15:45 Kunda1 Note Added: 0014927
2020-10-22 16:50 mrjohnc Note Added: 0014931
2020-10-22 16:50 mrjohnc Note Edited: 0014931
2020-10-22 16:52 mrjohnc Note Edited: 0014931
2020-10-22 19:27 Kunda1 Note Added: 0014932
2020-10-22 20:27 Kunda1 Tag Detached: #post-to-forum
2020-10-22 20:27 Kunda1 Tag Attached: #pending
2020-10-22 23:08 kkremitzki Note Added: 0014937
2020-12-12 12:52 Kunda1 Note Added: 0015127
2021-01-15 23:55 mrjohnc Note Added: 0015209
2021-02-06 06:49 abdullah Target Version => 0.20
2021-02-20 18:01 Kunda1 Note Added: 0015392
2021-02-20 18:01 Kunda1 Tag Attached: #tobeclosed
2021-02-20 20:39 Kunda1 Status new => closed
2021-02-20 20:39 Kunda1 Resolution open => fixed
2021-02-20 20:39 Kunda1 Fixed in Version => 0.19
2021-02-20 20:39 Kunda1 Note Added: 0015395
2021-02-21 10:50 mrjohnc Status closed => feedback
2021-02-21 10:50 mrjohnc Resolution fixed => reopened
2021-02-21 10:50 mrjohnc Note Added: 0015407
2021-02-21 10:53 mrjohnc Note Added: 0015408
2021-02-21 10:53 mrjohnc Status feedback => new
2021-02-21 10:53 mrjohnc Note Edited: 0015408
2021-02-21 10:54 mrjohnc Note Edited: 0015408
2021-02-21 10:57 mrjohnc Note Edited: 0015408
2021-02-21 11:36 Kunda1 Note Added: 0015412
2021-02-21 11:37 Kunda1 Note Edited: 0015412
2021-02-21 11:42 Kunda1 Note Edited: 0015412
2021-02-21 11:56 Kunda1 Tag Detached: #pending
2021-02-21 11:56 Kunda1 Target Version 0.20 => 0.19
2021-02-23 11:00 yorik Target Version 0.19 => 0.20
2021-03-13 21:29 Kunda1 Assigned To => Kunda1
2021-03-13 21:29 Kunda1 Status new => resolved
2021-03-13 21:29 Kunda1 Resolution reopened => fixed
2021-03-13 21:29 Kunda1 Note Added: 0015507
2021-03-13 21:29 Kunda1 Tag Detached: #tobeclosed